﻿EnableExplicit

;- -- Information.
; Die Deklarationen werden im Modul WindowLog und DebugView benötigt und per XIncludeFile geladen.

;- -- Version 01.
; Status:   Fertig.
; Autor:    Peter Dreisiebner
; Website:  http://peter.dreisiebner.at
; E-Mail:   web@dreisiebner.at
; Geändert: 2017-10-13 - PureBasic v5.61 (x86).


;-
;- -- DeclareModule WindowLog. --------------------
;
DeclareModule WindowLog
   EnableExplicit

   Declare Load(iParentWindowId.i = #Null)      ; Erstellt das Log-Fenster, zeigt es aber nicht an.
   Declare Close(fExit.i)                       ; Blendet das Log-Fenster aus, oder schließt es wenn True übergeben wird.
   Declare Show(iParentWindowNumber.i = #Null)  ; Zeigt das Log-Fenster an.
   Declare Hide()                               ; Blendet das Log-Fenster aus.
   Declare RestoreWindow()                      ; Zeigt das Log-Fenster an, wenn das Programm wiederhergestellt wird.
   Declare Write(sText.s)                       ; Gibt den übergebenen Text im Editor-Gadget aus.
   Declare Error(sText.s)                       ; Gibt den übergebenen Text als Fehler im Editor-Gadget aus.
   Declare Stripline()                          ; Gibt eine Trennlinie im Editor-Gadget aus.
   Declare Clear(fInfo.i = #False)              ; Löscht den Text im Editor-Gadget.
   Declare Copy()                               ; Kopiert den Text vom Editor-Gadget in die Zwischenablage.

EndDeclareModule  ; WindowLog.
